> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily statistics for given timespan



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/Satistics/getDaily
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Satistics/getDaily:
    get:
      tags:
        - Satistics
      summary: Get daily statistics for given timespan
      operationId: Satistics_GetDailyStatistics
      parameters:
        - name: dateFrom
          in: query
          description: Timespan beginning date (inclusive)
          schema:
            type: string
            format: date-time
        - name: dateTo
          in: query
          description: Timespan ending date (inclusive)
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DailySatisticResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/DailySatisticResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/DailySatisticResponseDTO'
components:
  schemas:
    DailySatisticResponseDTO:
      type: object
      properties:
        dailyData:
          type: array
          items:
            $ref: '#/components/schemas/OrdersSatisticsDailyDataDTO'
          description: Statistical data for every requested date for every chain
          nullable: true
        dailyDataCumulative:
          type: array
          items:
            $ref: '#/components/schemas/OrdersSatisticsDailyDataDTO'
          description: Cumulative statistical data for every requested date for every chain
          nullable: true
      additionalProperties: false
    OrdersSatisticsDailyDataDTO:
      type: object
      properties:
        giveChainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        takeChainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        date:
          type: integer
          description: Start of day for which the statistics has been collected
          format: int64
        createdOrdersCount:
          type: integer
          description: Number of created orders
          format: int32
        fulfilledOrdersCount:
          type: integer
          description: Number of fulfilled orders
          format: int32
        totalAmountGivenUsd:
          type: number
          description: Total Give amount USD equivalent
          format: double
        totalAmountTakenUsd:
          type: number
          description: Total Take amount USD equivalent
          format: double
        totalProtocolFeeUsd:
          type: number
          description: Total FixFee+TransferFee USD equivalent
          format: double
        uniqueOrderCreators:
          type: integer
          description: Number of unique users that created orders that day
          format: int32
        newOrderCreators:
          type: integer
          description: Number of new users, that created orders that day
          format: int32
      additionalProperties: false
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````